#---------------------------------------------------------------------------
# ezmlm-www (configuration file - see README)
#---------------------------------------------------------------------------

#---------------------------------------------------------------------------
#-- Mailing list configuration goes here:
{
    use esmith::AccountsDB;
    my $adb = esmith::AccountsDB->open_ro();
    $OUT = "";
    my @sortings=('thread' , 'date' , 'subject' );
    foreach my $list ($adb->get_all_by_prop(type => 'mailinglist'))
    {
	next if (($list->prop('DisplayArchives') || 'disabled') ne 'enabled');
	my $key= $list->key;
	my $dompart=$list->prop('Domain');
    	my $name = "$key\@$dompart" ;
	my $conceal_senders = ( ( $list->prop('conceal_senders') || 'enabled' ) eq 'enabled')? 1 : 0;
	my $Description = $list->prop('Description') || "no description";	
	my $default_sorting = ( $list->prop('default_sorting') ~~ @sortings ) ? $list->prop('default_sorting') : 'thread';
	my $show_html = (( $list->prop('show_html') || 'enabled') eq 'enabled')? 1 : 0;
	my $highlight = (( $list->prop('highlight') ||'enabled') eq 'enabled')? 1 : 0;
        my $show_inline_images = (( $list->prop('show_inline_images') || 'enabled') eq 'enabled')? 1 : 0;
	my $subscription_info = (( $list->prop('subscription_info') || 'disabled') eq 'enabled') ? 1 :  0;
	my $descending_by_default = (( $list->prop('descending_by_default') ||  'enabled') eq 'enabled')? 1 : 0;
        my $search = (( $list->prop('search') ||  'disabled') eq 'enabled') ? 1 :  0;

    	$OUT.=<<"END_TXT";
push \@\$lists, {
	name => '$name',
	local_part => '$key',
	host_part => '$dompart',
	description => '$Description',
	archive => Mail::Ezmlm::Archive->new('/home/e-smith/files/ezmlm/lists/$key'),
	conceal_senders => $conceal_senders,
	subscription_info => $subscription_info ,
	descending_by_default => 1,
	default_sorting => '$default_sorting',   #may be 'thread', 'date' or 'subject'
	show_html => $show_html,
	highlight => $highlight,
	show_inline_images => $show_inline_images,
	search => $search
};
END_TXT
   }

}

#---------------------------------------------------------------------------
#-- This option specifies the language used for localized strings:

$lang = '{    
my @langs = ('bg', 'de', 'en', 'es' , 'fr', 'it', 'no', 'pt' , 'tr', 'zh');
my $syslang = (( substr($sysconfig{'Language'}, 0, 2) || 'unknown' )  ~~ @langs ) ? substr($sysconfig{'Language'}, 0, 2) : 'en'  ;
my $langu =  (( $ezmlm{'lang'}  || 'unknown') ~~ @langs) ? $ezmlm{'lang'} : $syslang;
return $langu;
}';

#---------------------------------------------------------------------------
#-- To enable vpopmail support just uncomment the following line:
#-- (this will disable the configuration done with the "push @$lists"
#-- syntax above, as all information will be taken from vpopmail local
#-- database and the %Config defaults below.)

#use vpopmail;


#---------------------------------------------------------------------------
#--Additional configuration options:
{
   my $ListServerName = $ezmlm{'ListServerName'}  || $DomainName ;
    $OUT.=<<"END_TXT";
%Config = (
	ListServerName => '$ListServerName',

	#--These settings will be used for vpopmail-based mailing lists:
	# NOT IN USE WITH SME #
	DefaultVpopmailSettings => {
		conceal_senders => 1,
		subscription_info => 1,
		descending_by_default => 1,
		default_sorting => 'thread',   #may be 'thread', 'date' or 'subject'
		show_html => 1,
		highlight => 1
	},
	VpopmailAccess => {
		default_policy => 'allow',
		allow_lists => [],
		deny_lists => [],
		allow_domains => [],
		deny_domains => []
	},
	
	#--CSS web path:
	CSSPath => 'style.css'
);
END_TXT

}

1;
